Attribute VB_Name = "qrz_lookup"
' k0emt 's Access/VBA/VB QRZ Library
' Copyright (C) 2000 Bryan D Nehl

' This library is free software; you can redistribute it and/or
' modify it under the terms of the GNU Lesser General Public
' License as published by the Free Software Foundation; either
' version 2.1 of the License, or (at your option) any later version.

' This library is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
' Lesser General Public License for more details.

' You should have received a copy of the GNU Lesser General Public
' License along with this library; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

' Also add information on how to contact you by electronic and paper mail.

' The coordinator for this Library is:

'    Bryan Nehl
'    k0emt@dbbear.com
'    609  Carol Lane
'    California MO 65018

Option Explicit

Public Function qrz() As Boolean
Dim qi As qrzInfo
Dim i As Long
Dim strCall As String

    Do While 1
            strCall = InputBox("QRZ: " & vbCrLf & _
                                         "done when you are done", "k0emt's QRZ! Look Up", "k0emt")
                
            If (strCall = "done") Or (strCall = "") Then End ' *** NOTE: different from Access ***
            
            Set qi = New qrzInfo
            With qi
                .DBPath = "e:\qrz"      ' *** developer, change this setting to meet your needs ***
                .CallSign = strCall
                'Debug.Print "-------------------------------"
                'Debug.Print .qrzCallSign & ":" & .qrzDefCab
                'Debug.Print "-------------------------------"
                'Debug.Print "ARS: " & .CallSign
                'Debug.Print .Class & " Class"
                'Debug.Print .ProperName
                'Debug.Print .Street
                'Debug.Print .City & " " & .State & " " & .Zip
                'Debug.Print "Has email: " & .hasEMail
                'Debug.Print "Has GIF: " & .hasGif
                If .qrzCallSign <> "NOT FOUND" Then
                    MsgBox "ARS: " & .CallSign & vbCrLf & _
                                .Class & " Class" & vbCrLf & _
                                .ProperName & vbCrLf & _
                                .Street & vbCrLf & _
                                .City & " " & .State & " " & .Zip & vbCrLf & _
                                "Has email: " & .hasEMail & vbCrLf & _
                                "Has GIF: " & .hasGif, vbInformation + vbOKOnly, "QRZ! Search Results"
                    qrz = True
                Else
                    MsgBox "ARS: " & .CallSign _
                                , vbExclamation + vbOKOnly, "QRZ! Search Results"
                    qrz = False
                End If
            End With
    Loop
    
End Function

Public Sub main()
    Call qrz
End Sub
